#ifndef TOKENS_H_
#define TOKENS_H_

#define REG   1
#define INT   2
#define IDENT 3
#define COLON 4

/* Opcodes */

#define LINT 10
#define ADD  11
#define SUB  12
#define MUL  13
#define DIV  14
#define MOD  15

#define ISLT 16
#define ISLE 17
#define ISEQ 18
#define CMOV 19

#define ALOC 20
#define LOAD 21
#define STOR 22

#define RINT 23
#define PINT 24
#define RCHR 25
#define PCHR 26

#define HALT 27

#endif /*TOKENS_H_*/
