#ifndef MAIN_H_
#define MAIN_H_

#include <stdio.h>

#define TRUE 1
#define FALSE 0

/* The input file name */
extern char* filename;

/* The input file handle */
extern FILE* inputfile;

/* The amount of memory allocated for code. */
extern int code_size;

/* The amount of memory allocated for heap. */
extern int heap_size;

/* Whether we run in interactive (debugging) mode. */
extern int interactive;

/* Whether we run in threaded mode. */
extern int threaded_mode;

#endif /*MAIN_H_*/
