#ifndef POINTERS_H_
#define POINTERS_H_

/* Return a pointer which points 'bytes' past the given pointer. */
#define INC_POINTER(p, bytes) ((void*)p + (bytes))

#define LOAD_WORD(p) (*(int*)(p))
#define STORE_WORD(p, val)  ((*(int*)(p)) = (val))

#define LOAD_SHORT(p) (*(short int*)(p))
#define STORE_SHORT(p, val) ((*(short int*)(p)) = (val))

#define LOAD_BYTE(p) (*(char*)(p))
#define STORE_BYTE(p, val) ((*(char*)(p)) = (val))

#endif /*POINTERS_H_*/
